- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_ontap_service_processor_network – NetApp ONTAP service processor network

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Modify a ONTAP service processor network

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward
- Ansible 2.6
- Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’
- Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’
- To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address_type - / required | Choices: ipv4 ipv6 | Specify address class.
dhcp - | Choices: v4 none | Specify dhcp type.
gateway_ip_address - |  | Specify the gateway ip.
hostname string / required |  | The hostname or IP address of the ONTAP instance.
http_port integer |  | Override the default port (80 or 443) with this port
https boolean | Choices: no ← yes | Enable and disable https
ip_address - |  | Specify the service processor ip address.
is_enabled boolean / required | Choices: no yes | Specify whether to enable or disable the service processor network.
netmask - |  | Specify the service processor netmask.
node - / required |  | The node where the service processor network should be enabled
ontapi integer |  | The ontap api version to use
password string / required |  | Password for the specified user. aliases: pass
prefix_length - |  | Specify the service processor prefix_length.
state - | Choices: present ← | Whether the specified service processor network should exist or not.
use_rest string | Choices: Never Always Auto ← | REST API if supported by the target system for all the resources and attributes the module requires. Otherwise will revert to ZAPI. Always -- will always use the REST API Never -- will always use the ZAPI Auto -- will try to use the REST Api
username string / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user
validate_certs boolean | Choices: no yes ← | If set to `no`, the SSL certificates will not be validated. This should only set to `False` used on personally controlled sites using self-signed certificates.
wait_for_completion boolean added in 2.8 | Choices: no ← yes | Set this parameter to 'true' for synchronous execution (wait until SP status is successfully updated) Set this parameter to 'false' for asynchronous execution For asynchronous, execution exits as soon as the request is sent, without checking SP status

## Notes

Note

- The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

## Examples

    - name: Modify Service Processor Network
      na_ontap_service_processor_network:
        state: present
        address_type: ipv4
        is_enabled: true
        dhcp: v4
        node: "{{ netapp_node }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"
        hostname: "{{ netapp_hostname }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.